--
-- IHC 1455 XL
-- Spezialization um Hilfe ein- bzw. ausblenden zu knnen
-- 
--
-- Author  Friedrich L.  -  Skullman
-- Date 18. Dezember 2010
-- Web www.modding-society.de
--
-- Copyright (c) Friedrich L. - All Rights Reserved.
--

ShowHelp = {};

function ShowHelp.prerequisitesPresent(specializations)
    return SpecializationUtil.hasSpecialization(Motorized, specializations);
end;

function ShowHelp:load(xmlFile)
	self.showHelp = false;
end;

function ShowHelp:delete()
end;

function ShowHelp:mouseEvent(posX, posY, isDown, isUp, button)
end;

function ShowHelp:keyEvent(unicode, sym, modifier, isDown)
end;

function ShowHelp:update(dt)
	if self:getIsActiveForInput() then
		if InputBinding.hasEvent(InputBinding.TOGGLE_SHOW_HELP) then
			self.showHelp = not self.showHelp;
		end;
	end;
end;



function ShowHelp:updateTick(dt)
end;


function ShowHelp:draw()
	if not self.showHelp then
		renderText(0.80, 0.25, 0.02, " Taste 9: Info Ein ");
	 else
		-- Koordinaten sind aus der F930.lua - Author leider unbekannt
		renderText(0.80, 0.25, 0.02, "Numpad 9: Info Aus");
		renderText(0.72, 0.78, 0.025, "- CAT966H -");			
		renderText(0.72, 0.75, 0.02, "Taste Numpad 2: Warnblinker an / aus");
		renderText(0.72, 0.73, 0.02, "Taste Numpad 1: Blinker Links an / aus");
		renderText(0.72, 0.71, 0.02, "Taste Numpad 3: Blinker Rechts an / aus");
		renderText(0.72, 0.69, 0.02, "Taste 6: Allrad an/aus");
		renderText(0.72, 0.67, 0.02, "Taste 7: Zwillingsreifen an/ab");
		renderText(0.72, 0.65, 0.02, "Taste 0: Hupe");
                renderText(0.72, 0.605, 0.025, "- CAT966H -");
	end;
end;

function ShowHelp:onLeave()
	self.showHelp = false;
end;




